打印

lnmp1.4-lamp 安装后运行laravel报错

lnmp1.4-lamp 安装后运行laravel报错

运行后 报这个错误Warning: require(): open_basedir restriction in effect. File(/home/wwwroot/excsky.com/bootstrap/autoload.php) is not within the allowed path(s): (/home/wwwroot/excsky.com/public/:/tmp/:/proc/) in /home/wwwroot/excsky.com/public/index.php on line 22

Warning: require(/home/wwwroot/excsky.com/bootstrap/autoload.php): failed to open stream: Operation not permitted in /home/wwwroot/excsky.com/public/index.php on line 22

Fatal error: require(): Failed opening required '/home/wwwroot/excsky.com/public/../bootstrap/autoload.php' (include_path='.:/usr/local/php/lib/php') in /home/wwwroot/excsky.com/public/index.php on line 22

也在php.ini中修改了open_basedir  也不管用。

TOP


LNMP付费问题排查/LNMP技术支持/Paypal信用卡代付/代购VPS,域名,软件等 QQ 503228080 旺旺 lzhenbao
军哥淘宝店铺
QQ/旺旺仅提供代购及付费代维/问题解决等服务,其他不回复!LNMP相关问题请在本论坛发帖,提问前先搜索,按https://bbs.vpser.net/thread-2555-1-1.html 要求反馈问题!

TOP

安装laravel 后,要更改 bootstrap/  storage/   的读写权限,还要把 /usr/local/nginx/conf/fastcgi.conf   中 最后一行 fastcgi_param PHP_ADMIN_VALUE "open_basedir=$document_root/:/tmp/:/proc/"   注释掉

TOP